package com.qmth.paper.library.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 扫描任务参数
 * @Author: CaoZixuan
 * @Date: 2022-09-28
 */
public class PaperScanTaskParam implements Serializable {

    @ApiModelProperty(value = "扫描任务id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long paperScanTaskId;

    @ApiModelProperty(value = "扫描任务名称")
    @NotNull(message = "请输入扫描任务名称")
    @Length(min = 1, message = "请输入扫描任务名称")
    private String scanTaskName;

    @ApiModelProperty(value = "考试ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "请选择考试")
    @Range(min = 1L, message = "请选择考试")
    private Long examId;

    @ApiModelProperty(value = "课程代码")
    @NotNull(message = "请输入课程代码")
    @Length(min = 1, message = "请输入课程代码")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    @NotNull(message = "请输入课程名称")
    @Length(min = 1, message = "请输入课程名称")
    private String courseName;


    public Long getPaperScanTaskId() {
        return paperScanTaskId;
    }

    public void setPaperScanTaskId(Long paperScanTaskId) {
        this.paperScanTaskId = paperScanTaskId;
    }

    public String getScanTaskName() {
        return scanTaskName;
    }

    public void setScanTaskName(String scanTaskName) {
        this.scanTaskName = scanTaskName;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

}
